Assignee:

Category: GUI

Pull Request or Patch supplied: Resolution: worksforme
Easy fix?: No Copied to github as #: 14243
Description

Various commands and plugins have different methods for adding a layer after the analysis is run:
- acheckbox "Add to canvas" in the analysis window
- a popup "Do you want to add to canvas?" after the end

We should have a standard method, and utilize it consistently.

History

#1 - 2011-09-24 02:34 AM - Jiirgen Fischer
- Tracker changed from Bug report to Feature request

#2 - 2011-12-16 02:11 PM - Giovanni Manghi
- Target version set to Version 1.7.4

#3 - 2012-04-15 10:09 AM - Giovanni Manghi
- Target version changed from Version 1.7.4 to Version 2.0.0

#4 - 2012-10-06 02:15 AM - Pirmin Kalberer
- Target version changed from Version 2.0.0 to Future Release - Nice to have

#5 - 2015-12-05 03:13 AM - Médéric RIBREUX

Hello, bug triage...

do we have a document somewhere that states what are the rules for adding layers after an analysis ?

For Processing, it seems there is a uniform method: by default the option "Open output file after running algorithm" is checked so after any analysis made
with a Processing algorithm, the layer will be loaded in the canvas ( but user can uncheck this option ).

In 2015, | think that a pop-up window will be very annoying ! So the Processing rule seems to be the good one for me...

#6 - 2017-05-01 12:50 AM - Giovanni Manghi

- Easy fix? set to No

#7 - 2018-01-29 07:15 PM - Paolo Cavallini

- Description updated

Agreed, we should make it clear the Processing approach is the one to follow, also in plugins.

2025-05-17 12




#8 - 2018-03-07 04:18 PM - Paolo Cavallini
- Resolution set to worksforme

- Status changed from Open to Closed

Now (QGIS 3) core plugins have been moved to Processing, so probably this ticket is useless.
